Subject: Re: [GSMP] Comments on draft-ietf-gsmp-reqs-03

From: Satoru OKAMOTO <[email-masked]>
Date: Wed, 16 Oct 2002 17:03:51 +0900 (JST)

> 2. Section 6.10.  This whole section seems to be unnecessary given that the
> whole document is addressing the requirements for GSMP to support optical
> and TDM switches.  Further, the diagram is not really that general because
> it illustrates only one (G.805) layer.  I think that this section is trying
> to address specifically the photonic layer.  This is fine but is covered
> throughout the document with description of general layer support.

The main purpose of this section is defining what is the optical 
cross-connect system. 
If you feel that this section is covered with other sections. Please replace 
this section with the text shown below.

6.10 GSMP support for optical cross-connect system

   The cross-connect system can be consist of not only cross-connect 
   (/switch) function, but also multiplexing function (including transmission 
   function), path termination function (including client signal termination
   function). In the optical cross-connect (OXC) system, the multiplexing 
   function corresponds to the wavelength division multiplexing (WDM). 
   The optical regenerator and wavelength converter may be necessary in order 
   to realize long-haul transmission and to use effectively the wavelength 
   resource respectively. The path termination function corresponds to 
   the optcal channel termination and adaptation function. The GSMP controller
   SHOULD support not only the OXC system which is consist of only
   cross-connect (/switch) function, but also the OXC system which is consist 
   of cross-connect (/switch) function, multiplexing function (including 
   transmission function), and/or path termination function (including 
   client signal termination function).

====================================================
Dr. Satoru Okamoto
Senior Research Engineer
Advanced IP Node Systems Research Group and 
Photonic Networking Research Group
Photonic Transport Network Laboratory
NTT Network Innovation Laboratories
Musashino-Office
  Room 1-2F, 9-11 Midori-Cho 3-Chome
  Musashino-Shi, Tokyo 180-8585 Japan
  Tel: +81-422-59-4353 Fax: +81-422-59-6387
Yokosuka-Office
  Room 807A, 1-1 Hikari-no-oka,
  Yokosuka-shi, Kanagawa 239-0847 Japan
  Tel: +81-468-59-8870  Fax: +81-468-59-3396    
Email: [email-masked]
====================================================
_______________________________________________
GSMP mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/gsmp

---

From: Satoru OKAMOTO <[email-masked]>
Date: Fri, 18 Oct 2002 10:04:51 +0900 (JST)

I agree.

Satoru

> The document covers all transport layers including the photonic one that is
> the subject of section 6.10. Multiplexing is covered in section 6.3.2.5
> which states that "Since optical switches may support multiple transport
> network layers, ...".  This recognizes that there are switches that
> simultaneously support multiple (G.805) layers.  The transmission referred
> to in 6.10 is architecturally similar to a SONET switch that can handle both
> VT1.5 and STS-1s.
> 
> The switching function itself is the subnetwork connection (in G.805, the
> "SNC").  For path termination, I think GSMP already covers this.  For
> example in an ATM switch this would be the ingress or egress of a VCC.  GSMP
> commands to do this for the ingress case is an add-branch with just the
> output port defined.  For the egress case, only the input port is defined.
> 
> So, I'm not sure what additional requirements are needed for photonic
> switches that are not already covered.  Perhaps this section could be
> reworked as an example of how GSMP applies to a particular layer switch.
> 
> 
> -----Original Message-----
> From: Satoru OKAMOTO [mailto:[email-masked]] 
> Sent: Wednesday, October 16, 2002 04:04
> To: Shew, Stephen [SKY:QW33:EXCH]
> Cc: [email-masked]; [email-masked]
> Subject: Re: [GSMP] Comments on draft-ietf-gsmp-reqs-03
> 
> 
> 
> > 2. Section 6.10.  This whole section seems to be unnecessary given 
> > that the whole document is addressing the requirements for GSMP to 
> > support optical and TDM switches.  Further, the diagram is not really 
> > that general because it illustrates only one (G.805) layer.  I think 
> > that this section is trying to address specifically the photonic 
> > layer.  This is fine but is covered throughout the document with 
> > description of general layer support.
>